Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::ItemStash::cleanup_helper Class Reference

## Public Member Functions
| cleanup_helper (std::vector< std::size_t > &index)
void | moving_in_buffer (std::size_t old_offset, std::size_t new_offset)

## Private Attributes
std::vector< std::size_t > & | m_index
std::size_t | m_pos = 0

## Constructor & Destructor Documentation

## ◆ cleanup_helper()

osmium::ItemStash::cleanup_helper::cleanup_helper | ( | std::vector< std::size_t > & | index | ) |
| inline explicit

## Member Function Documentation

## ◆ moving_in_buffer()

void osmium::ItemStash::cleanup_helper::moving_in_buffer | ( | std::size_t | old_offset,
|  | std::size_t | new_offset )
| inline

## Member Data Documentation

## ◆ m_index

std::vector<std::size_t>& osmium::ItemStash::cleanup_helper::m_index
| private

## ◆ m_pos

std::size_t osmium::ItemStash::cleanup_helper::m_pos = 0
| private

The documentation for this class was generated from the following file:

- include/osmium/storage/item_stash.hpp